package kr.gmtc.gw.eyegw.config;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Queue;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration("ServiceConfig")
public class ServiceConfig {

	@Bean(name = "statusReportQ")
	public HashMap<Integer, Queue<String>> statusReportQ(){
		return new LinkedHashMap<Integer, Queue<String>>();
	}
	
	@Bean(name = "serviceRunnig")
	public boolean serviceRunnig(){
		return false;
	}
	
}
